Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.serialize
Class XHTMLSerializer

    java.lang.Object
      weblogic.apache.xml.serialize.BaseMarkupSerializer
          weblogic.apache.xml.serialize.HTMLSerializer
              weblogic.apache.xml.serialize.XHTMLSerializer

All Implemented Interfaces:
  ContentHandler, DocumentHandler, DTDHandler, DeclHandler, LexicalHandler, DOMSerializer, Serializer

Deprecated. 9.2.0.0 Replaced by org.apache.xml.serialize.XHTMLSerializer.

    public class XHTMLSerializer

extends HTMLSerializer

Implements an XHTML serializer supporting both DOM and SAX pretty serializing. For usage instructions see either `Serializer` or `BaseMarkupSerializer`.

See Also:
  `Serializer`

Field Summary

Fields inherited from class weblogic.apache.xml.serialize.HTMLSerializer
`XHTMLNamespace`

Fields inherited from class weblogic.apache.xml.serialize.BaseMarkupSerializer
`_docTypePublicId, _docTypeSystemId, _encodingInfo, _format, _indenting, _prefixes, _printer, _started, fDOMError, fDOMErrorHandler, fDOMFilter, fFeatures, fStrBuffer`

Constructor Summary
`XHTMLSerializer()` Deprecated. Constructs a new serializer.
`XHTMLSerializer(OutputFormat format)` Deprecated. Constructs a new serializer.
`XHTMLSerializer(OutputStream output, OutputFormat format)` Deprecated. Constructs a new serializer that writes to the specified output stream using the specified output format.
`XHTMLSerializer(Writer writer, OutputFormat format)` Deprecated. Constructs a new serializer that writes to the specified writer using the specified output format.

Method Summary
`void` | `setOutputFormat(OutputFormat format)` Deprecated. Specifies an output format for this serializer.

Methods inherited from class weblogic.apache.xml.serialize.HTMLSerializer
`characters, characters, endElement, endElement, endElementIO, escapeURI, getEntityRef, serializeElement, setXHTMLNamespace, startDocument, startElement, startElement`

Methods inherited from class weblogic.apache.xml.serialize.BaseMarkupSerializer
`asContentHandler, asDocumentHandler, asDOMSerializer, attributeDecl, comment, comment, content, elementDecl, endCDATA, endDocument, endDTD, endEntity, endNonEscaping, endPrefixMapping, endPreserving, enterElementState, externalEntityDecl, fatalError, getElementState, getPrefix, ignorableWhitespace, internalEntityDecl, isDocumentState, leaveElementState, modifyDOMError, notationDecl, prepare, printCDATAText, printDoctypeURL, printEscaped, printEscaped, printText, printText, processingInstruction, processingInstructionIO, reset, serialize, serialize, serialize, serializeNode, serializePreRoot, setDocumentLocator, setOutputByteStream, setOutputCharStream, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startNonEscaping, startPrefixMapping, startPreserving, surrogates, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XHTMLSerializer

    public XHTMLSerializer()

  Deprecated.
  Constructs a new serializer. The serializer cannot be used without calling `BaseMarkupSerializer.setOutputCharStream(java.io.Writer)` or `BaseMarkupSerializer.setOutputByteStream(java.io.OutputStream)` first.

### XHTMLSerializer

    public XHTMLSerializer(OutputFormat format)

  Deprecated.
  Constructs a new serializer. The serializer cannot be used without calling `BaseMarkupSerializer.setOutputCharStream(java.io.Writer)` or `BaseMarkupSerializer.setOutputByteStream(java.io.OutputStream)` first.

### XHTMLSerializer

    public XHTMLSerializer(Writer writer,
                           OutputFormat format)

  Deprecated.
  Constructs a new serializer that writes to the specified writer using the specified output format. If `format` is null, will use a default output format.

  Parameters:
    `writer` - The writer to use
    `format` - The output format to use, null for the default

### XHTMLSerializer

    public XHTMLSerializer(OutputStream output,
                           OutputFormat format)

  Deprecated.
  Constructs a new serializer that writes to the specified output stream using the specified output format. If `format` is null, will use a default output format.

  Parameters:
    `output` - The output stream to use
    `format` - The output format to use, null for the default

Method Detail

### setOutputFormat

    public void setOutputFormat(OutputFormat format)

  Deprecated.
  Description copied from interface: `Serializer`
  Specifies an output format for this serializer. It the serializer has already been associated with an output format, it will switch to the new format. This method should not be called while the serializer is in the process of serializing a document.

  Specified by:
    `setOutputFormat` in interface `Serializer`
  Overrides:
    `setOutputFormat` in class `HTMLSerializer`
  Parameters:
    `format` - The output format to use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD